> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralfactory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Use Case

> API key permission: Agents (Admin also opens it).



## OpenAPI

````yaml /api-reference/openapi.json get /use-cases/{use_case_id}
openapi: 3.1.0
info:
  title: Neural Factory API
  version: 0.1.0
  description: >-
    The endpoints a program can call with an API key. Exchange the key's secret
    for a token at POST /apikeys/token and send it as a Bearer token.
servers:
  - url: https://api.neuralfactory.ai
    description: SaaS
  - url: https://{apiHost}
    description: 'Enterprise: the API address of your own deployment'
    variables:
      apiHost:
        default: api.example.com
        description: Your deployment's API host
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Chat
  - name: Runs
  - name: Agents
  - name: Workflows
  - name: Schedules
  - name: Knowledge bases
  - name: Documents
  - name: Search
  - name: Skills
  - name: Toolkits
  - name: Files
  - name: Interactions
  - name: Usage and billing
  - name: Catalogue
  - name: Browser
  - name: Users
  - name: Groups
  - name: Builds
paths:
  /use-cases/{use_case_id}:
    get:
      tags:
        - Catalogue
      summary: Get Use Case
      description: 'API key permission: Agents (Admin also opens it).'
      operationId: get_use_case_use_cases__use_case_id__get
      parameters:
        - name: use_case_id
          in: path
          required: true
          schema:
            type: string
            title: Use Case Id
        - name: env
          in: query
          required: false
          schema:
            title: Env
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UseCaseDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UseCaseDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        vertical:
          $ref: '#/components/schemas/VerticalRef'
        shape:
          $ref: '#/components/schemas/Shape'
        outcome:
          type: string
          title: Outcome
        problem:
          type: string
          title: Problem
        priority:
          $ref: '#/components/schemas/Priority'
        time_to_value_days:
          type: integer
          title: Time To Value Days
        readiness:
          $ref: '#/components/schemas/Readiness'
        activations:
          items:
            $ref: '#/components/schemas/Activation'
          type: array
          title: Activations
        who:
          type: string
          title: Who
        what_it_does:
          type: string
          title: What It Does
        trigger:
          $ref: '#/components/schemas/Trigger'
        how_it_works:
          items:
            type: string
          type: array
          title: How It Works
        approvals:
          items:
            type: string
          type: array
          title: Approvals
        kpis:
          items:
            type: string
          type: array
          title: Kpis
        complexity:
          $ref: '#/components/schemas/Complexity'
        time_to_value:
          type: string
          title: Time To Value
        prerequisites:
          items:
            type: string
          type: array
          title: Prerequisites
        limits:
          items:
            type: string
          type: array
          title: Limits
        better_with:
          items:
            $ref: '#/components/schemas/SystemNeed'
          type: array
          title: Better With
        we_arrange:
          items:
            type: string
          type: array
          title: We Arrange
        activation:
          $ref: '#/components/schemas/ActivationForm'
      type: object
      required:
        - id
        - name
        - vertical
        - shape
        - outcome
        - problem
        - priority
        - time_to_value_days
        - readiness
        - activations
        - who
        - what_it_does
        - trigger
        - how_it_works
        - approvals
        - kpis
        - complexity
        - time_to_value
        - prerequisites
        - limits
        - better_with
        - we_arrange
        - activation
      title: UseCaseDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VerticalRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: VerticalRef
    Shape:
      type: string
      enum:
        - workflow
        - agent
        - agent+workflow
        - scheduled-workflow
      title: Shape
    Priority:
      type: string
      enum:
        - core
        - standard
        - niche
      title: Priority
    Readiness:
      properties:
        state:
          type: string
          enum:
            - ready
            - connect
            - system
          title: State
        toolkits:
          items:
            $ref: '#/components/schemas/ToolkitNeed'
          type: array
          title: Toolkits
        systems:
          items:
            $ref: '#/components/schemas/SystemNeed'
          type: array
          title: Systems
        documents:
          items:
            $ref: '#/components/schemas/DocumentNeed'
          type: array
          title: Documents
      type: object
      required:
        - state
        - toolkits
        - systems
        - documents
      title: Readiness
      description: How close the caller's organisation is to running a use case.
    Activation:
      properties:
        kind:
          type: string
          enum:
            - agent
            - workflow
          title: Kind
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        published:
          type: boolean
          title: Published
      type: object
      required:
        - kind
        - id
        - name
        - published
      title: Activation
      description: Something already made from a use case that the caller can open.
    Trigger:
      type: string
      enum:
        - manual
        - manual/api
        - api
        - chat
        - schedule
        - schedule/api
      title: Trigger
    Complexity:
      type: string
      enum:
        - S
        - M
        - L
      title: Complexity
    SystemNeed:
      properties:
        name:
          type: string
          title: Name
        purpose:
          type: string
          title: Purpose
      type: object
      required:
        - name
        - purpose
      title: SystemNeed
    ActivationForm:
      properties:
        creates:
          items:
            type: string
            enum:
              - agent
              - workflow
          type: array
          title: Creates
        starts:
          items:
            type: string
            enum:
              - on_demand
              - schedule
              - chat
          type: array
          title: Starts
        start:
          type: string
          enum:
            - on_demand
            - schedule
            - chat
          title: Start
        schedule:
          anyOf:
            - $ref: '#/components/schemas/Schedule'
            - type: 'null'
        approver_roles:
          items:
            $ref: '#/components/schemas/ApproverRole'
          type: array
          title: Approver Roles
        step_count:
          type: integer
          title: Step Count
        approval_gates:
          type: integer
          title: Approval Gates
      type: object
      required:
        - creates
        - starts
        - start
        - schedule
        - approver_roles
        - step_count
        - approval_gates
      title: ActivationForm
      description: What activating the use case creates and what it will ask.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ToolkitNeed:
      properties:
        type:
          type: string
          title: Type
        name:
          type: string
          title: Name
        connected:
          type: boolean
          title: Connected
        offerable:
          type: boolean
          title: Offerable
      type: object
      required:
        - type
        - name
        - connected
        - offerable
      title: ToolkitNeed
    DocumentNeed:
      properties:
        name:
          type: string
          title: Name
        contents:
          type: string
          title: Contents
        knowledge_base_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Base Id
      type: object
      required:
        - name
        - contents
        - knowledge_base_id
      title: DocumentNeed
    Schedule:
      properties:
        cron:
          type: string
          title: Cron
        timezone:
          type: string
          title: Timezone
      type: object
      required:
        - cron
        - timezone
      title: Schedule
    ApproverRole:
      properties:
        role:
          type: string
          title: Role
        label:
          type: string
          title: Label
      type: object
      required:
        - role
        - label
      title: ApproverRole
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        The access_token returned by POST /apikeys/token for an API key's
        secret.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.